        WD1002S-WX2 WINCHESTER DISK CONTROLLER USERS'S GUIDE

INSTALLATION INSTRUCTIONS
------------ ------------

This section contains instructions for installation of the
WD1002S-WX2 (S-WX2) board.  If the disk drive(s) are being installed
internally, it is best to locate the S-WX2 Controller Board in the
closest available expansion slot.

                        CAUTION

        Handle the controller board by the ends of the board.
        Some of the chips are static sensitive and damage may
        occur if the board is incorrectly handled.

At this time, verify that the jumper settings on the controller board
are correct.  Refer to pages XX and XX of this document for
information on the jumper settings.

Next, remove the blank expansion slot bracket.  Put the bracket away and
save it for possible future use.  The screw will be used to hold the new
controller board in place.

Connect the 34-pin (wide control cable) connector to J1 on the S-WX2
board.  Make sure that Pin 1 of the cable connector goes to Pin 1 on the
controller board.  Pin 1 of the cable connector is typically located on
the color coded side of the cable.

Connect the 20-pin (data cable) to J2 (Drive 0 Data Connector) on the
controller board.  Make sure that Pin 1 of the cable connector is
connected to Pin 1 on the controller board.

If a second drive is being installed, connect the Drive 1 data cable to
J3 likewise.

At this time, also verify that the disk drive(s) is properly installed.
This includes correct placement of drive select jumpers and drive
terminator installation.  Refer to the disk drive installation manual
for further instructions.  DO NOT USE THE RADIAL SELECT OPTION.

Install the controller board into the expansion slot.  Make sure that
the board is seated properly by pressing down on both ends of the board.
Secure the board with the bracket screw.

                                CAUTION

        When routing the cables, be careful not to pinch them.
        Cables must not get caught between the cover and the
        boards nor should they obstruct any air flow path from
        fans or vents.

Install the disk drive(s) per manufacturer's instructions.


STANDARD BIOS ROM FORMAT INSTRUCTIONS
-------- ---- --- ------ ------------

The following procedures are a complete set of instructions for
formatting one or two disk drives when using a WD1002S-WX2 Controller
Board with a standard BIOS ROM.  (P/N 62-0000 42-xxx).

Running the DEBUG Utility
------- --- ----- -------

The DEBUG Utility is used to initiate the S-WX2 format program to
physically format the drive.  During execution, the user is prompted to
define the interleave factor.  Please refer to the DOS operating manual
for detailed instructions regarding this utility.

Step    Instructions

1.      At the A> prompt, load and run the DOS debug utility by typing
        DEBUG followed by a RETURN.  "CR" stands for carriage return or
        ENTER.

                        A> DEBUG CR

The next step changes the drive address and sector interleave factor.
If not modified, the drive number will default to 00 and the interleave
factor will default to three.  Proceed with step 2 if there are two hard
disk drives configured into the system and/or the desired interleave
factor is to be other than three.  If neither applies, go directly to
step 3.

2.      At the debug prompt, type the following line to set the target
        drive number and interleave factor.  The debug prompt is the
        hyphen "-".

                        - rax CR
        CPU response:

        AX 0000
        :

        At the colon prompt, enter drive number and interleave factor in
        hexadecimal followed by a RETURN.

                        xxyy CR

        Where:  xx = the relative drive number
                yy = the interleave factor

        NOTE:  Relative Drive C: = 00, Relative Drive D: = 01.  An
        interleave factor of 03 is standard.  If formatting two
        drives, this operation must be run twice; first with the
        relative drive number = 00 and again with it = 01.

3.      At the debug prompt, initiate the S-WX2 format program by typing
        in the following command line.

                        - g=c800:5 CR

        The S-WX2 format program will display the following:

        WX2 Format Revision 7.0(C) Copyright Western Digital Corp. 1985
                (AH) = Relative drive number (0-7)
                (AL) = Interleave factor (S is standard)
        Press "Y" to begin formatting drive XX with interleave YY

                                CAUTION

        Before responding, please remember that all data on the
        target drive will be lost during execution of the format
        program.  Hit any other key to abort the format program
        and save the data.

4.      Press "Y" followed by a RETURN to begin formatting the drive.

                        Y CR

        System responses:

        If any key other than "Y" is typed, the program displays the
        following message and returns the operator to DOS.

        CPU response:

        Nothing done exit
        A>

        If "Y" is typed, formatting is initiated.  The format program
        can take up to five minutes.  If there are no resulting errors,
        the program displays the following message and returns the
        operator to DOS.

        CPU response:

        Format successful
        A>

        If an error occurs while formatting, the program will
        immediately terminate, display the following error message, and
        return the operator to DOS.  XX is the hexadecimal S-WX2 BIOS
        completion code.  Refer to page XX.

        CPU response:

        Error ---- completion code XX
        A>

        If a second drive is to be formatted, repeat steps 1 through 5
        with the relative drive number equal to 01.  Otherwise, continue
        with step 5.

5.      Load and execute the FDISK and FORMAT utilities.  Refer to your
        DOS manual for more information on FDISK and FORMAT.



Auto-Config Option
----------- ------

This section contains instructions for performing the low level or
physical format of one or two ST506/ST412 Winchester disk drives when
using Western Digital's WD1002S-WX2 controller board, an Auto-Config
BIOS ROM, and its resident Auto-Config Software.  (P/N 620-0000 43-xxx).

Auto-Config has for formatting options as follows:

1.  Format one or two physical drive(s) by entering the drive parameters
    and  bad track list via the keyboard.
2.  Format one physical drive as two virtual drives by entering the
    drive parameters, cylinder partition values, and bad track list via
    the keyboard.
3.  Format one or two physical drive(s) by using the drive tables
    selected by SW1.  The bad track list is entered via the keyboard.
4.  Format one physical drive as two virtual drives by using the drive
    tables.  Virtual cylinder partition values and bad track list are
    entered via the keyboard.

Drive Parameters
----- ----------

Drive parameters that have to be established during the format procedure
include the maximum number of cylinders, the maximum number of heads,
cylinder for reduced write current, cylinder for write precompensation,
error burst length, and CCB option byte - step rate.

Auto-Config supports keyboard entry of these parameters.  It also supports
the pre-programmed drive table entry of parameters.

A single jumper chooses between keyboard entry or the use of drive
tables.  The ability to enter configuration information from the
keyboard may be disabled by placing a jumper on SW1-5 of the controller
board.  If disabled, the drive tables are selected by SW1-1 to SW1-4.
See page XX.

Virtual Formatting
------- ----------

Auto-Config supports virtual drive formatting.  Virtual drive formatting
is a method by which one physical drive is split into two logical or
virtual drives.  The virtual drives are referenced as C: and D:.

Current versions of DOS allow no more than 32 megabytes per drive.
Therefore, a 40 megabyte drive may be divided into two virtual drives
using the virtual option.  The following table provides an example of
how to calculate drive capacity and establish virtual parameters.

-----------------------------------------------------------------
|                                                               |
|  The capacity of a drive can be easily calculated as follows: |
|                                                               |
|               Capacity =                                      |
|       (#Cyl.)(#Heads)(#Sectors/track)(Sector size in bytes)   |
|                                                               |
|  If a drive has 612 cylinders, 8 heads, 17 sectors per track  |
|  and a 512 byte sector size, then calculate the logical split |
|  as follows:                                                  |
|                                                               |
|               Total capacity = 42,614,784 bytes or            |
|                       (612)(8)(17)(512)                       |
|                                                               |
|  To split the drive into 2 logical drives of 30 and 10        |
|  megabytes each of X and Y respectively, do the following     |
|  calculations.                                                |
|                                                               |
|  Because (X)(heads)(sectors/track)(sector size) = 30          |
|  megabytes.                                                   |
|                                                               |
|  Note: 1 megabyte = 2^20 bytes = 1,048,576 bytes.             |
|                                                               |
|               X = (31,457,280)/(8 * 17 * 512)                 |
|                                                               |
|               X = 451.8 = 451                                 |
|                                                               |
|  Note: Round  X down to nearest whole number.                 |
|                                                               |
|  Since Y = Total Capacity - X                                 |
|                                                               |
|               Y = 612 - 451 = 161                             |
|               The split = 451 161                             |
|                                                               |
|---------------------------------------------------------------|
|               LOGICAL FORMAT CALCULATION                      |
-----------------------------------------------------------------

If this option is chosen, a second physical drive may not be installed
on the S-WX2 since DOS will only support two drives.  The ability to
virtually configure a drive may be disabled by placing a jumper on SW1-6
(page 9).

Low Level Format
--- ----- ------

The low level format is run just once on a drive that is to be virtually
configured.  However, the DOS FDISK and FORMAT utilities must be run on
both logical drives.

If two physical drives are to be formatted, the low level format is run
on each drive.  As before, the DOS FDISK and FORMAT utilities are run on
each drive.

Auto-Config Formatting Procedures
----------- ---------- ----------

The following instructions contain a detailed step by step description
of the actions required to execute the Auto-Config procedures.

Step    Instructions

1.      Verify jumper settings.  Refer to pages XX and XX.

2.      Load and execute the debug utility.

3.      At the debug prompt, initiate the S-WX2 format program by typing
        the following command line.  The debug prompt is the hyphen "-".

                        -g=c800:5 CR

4.      The S-SX2 format program will display the following message:

        WX2 Format Revision T.8 (C) Copyright Western Digital Corp. 1985
        Key in drive no and interleave as follows: d ii where
                d = relative no (0-1)
                ii = interleave factor (1-16)

        Enter d and ii separated by a space and followed with a RETURN.

        EXAMPLE:

                        0 03 CR

        NOTE:  Drive C: = 0, Drive D: = 1.  An interleave factor of 3 is
        standard.  If formatting two drives, this option must be run
        twice: once with d = 0 and again with d = 1.

5.      The following message will be displayed.

        Key in disk characteristics as follows: ccc h rrr ppp ee oo where
        ccc  = total number of cylinders (1-4 digits)
        h    = number of heads (1-2 digits)
        rrr  = starting reduced write cylinder (1-4 digits)
        ppp  = write precomp cylinder (1-4 digits)
        ee   = max correctable error burst length (1-2 digits)
        oo   = CCB option byte (1 hex digit)

        Enter each value separated by a space and follow the complete
        entry with a RETURN.

        EXAMPLE:

                        306 4 128 128 11 5CR

6.      CPU response:

        Are you virtually configuring the drive - Answer Y/N

        Enter a "Y" and RETURN for yes or "N" and RETURN for no.

                        Y CR or N CR

7.      If Yes, the following message is displayed.

        Key in virtual drive list as vvvv ...
        where vvvv = virtual drive size (1-4 digits)

        Enter two cylinder numbers, separated by a space and followed by
        a RETURN.  See page XX.

        NOTE:  The sum of these two numbers cannot exceed the maximum
        number of available cylinders.

        EXAMPLE:
                        153 153CR

        If no, continue to next step.

8.      The following message will be displayed.

        Press "y" to begin formatting drive d with interleave ii.

        NOTE: d = relative drive number and ii = interleave factor.

        Type "Y" followed by a RETURN.

                        Y CR

9.      System responses:

        If any key other than "Y" is typed, the program displays the
        following message and returns the operator to DOS.

        CPU response:

        Nothing done exit - returning to system...
        A>

        If an error occurs while formatting, the program will
        immediately terminate, display the following error message, and
        return the operator to DOS.  XX is the hexadecimal S-WX2 BIOS
        completion code.  See page XX.

        CPU response:

        Error ---- completion code XX
        A>

        If "Y" is typed, formatting is initiated.  If there are no
        resulting errors, the program displays the following message.

        CPU response:

        Do you want to format bad tracks - answer Y/N

        The user should type "Y" and a RETURN for yes; "N" and a RETURN
        for no.

                        Y CR or N CR

        The user is prompted to enter, via the keyboard, a bad track
        list.  This list should be provided by the drive manufacturer.
        However, due to DOS limitations, this procedure is not
        recommended.

        Because of the logical addressing used by DOS, marking an entire
        track bad will result in more than one logical address being
        marked bad.  As DOS can only accept a limited number of defects,
        a drive with excessive media defects may cause the FORMAT
        program to terminate with an error.  The displayed error is
        typically, "TRACK 00 BAD - DRIVE UNUSABLE."

        As a recommended alternative, execution of the DOS utility
        program FORMAT should correctly locate and deallocate all
        media defects.

10.     If yes, the following message is displayed.

        Key in bad track list as follows: ccc h ...
        where
        ccc  = bad track cylinder no (1-4 digits)
        h    = bad track head number (1-2 digits)

        Type in the cylinder and head numbers for the bad tracks,
        separate them with spaces, and follow with a RETURN.

        EXAMPLE:

                160 1 161 1 304 3 223 4 223 2 CR

        The bad track message will be displayed again.  To terminate
        bad track entry, type "N" followed by a RETURN.

                        N CR

11.     The following message is displayed.

        Format Successful - Returning to system

If a second drive is to be formatted, repeat steps 2 through 12 with d =
01.  Otherwise, continue with step 12.

12.     Load and execute the FDISK and FORMAT utilities.  Refer to your
        DOS manual for further information on these utilities.

-------------------------------------------------
| CODES |  COMPLETION CODE SUMMARY              |
-------------------------------------------------
|  01   |  Bad Command                          |
|  02   |  Address Mark Not Found               |
|  04   |  Sector Not Found                     |
|  05   |  Reset Failed                         |
|  07   |  Set Parameters Failed                |
|  09   |  Attempt to DMA Across 64K Boundary   |
|  0B   |  Bad track                            |
|  10   |  Uncorrectable Data Error             |
|  11   |  ECC Error Corrected                  |
|  20   |  Controller Failure                   |
|  40   |  Seek Failure                         |
|  80   |  Time-out                             |
|  BB   |  Undefined Error                      |
|  FF   |  Read Status Failed                   |
-------------------------------------------------
                S-WX2 Error Codes

---------------------------------------------------------------------------
| BIOS  |   DRIVE 1   |   DRIVE 0   | FORMATTED  |       |      |PRE-COMP |
| TABLE | SW1-1 SW1-2 | SW1-3 SW1-4 | CAPACITY   | HEADS | CYLS |  RWC    |
---------------------------------------------------------------------------
|   0   | CLOSE CLOSE | CLOSE CLOSE |  20 MB     |   4   |  612 |None(613)|
|       |             |             |            |       |      |         |
|       |             |             |            |       |      |         |
|   1   | OPEN  CLOSE | OPEN  CLOSE |  10 MB     |   2   |  612 |   128   |
|       |             |             |            |       |      |   128   |
|       |             |             |            |       |      |         |
|   2   | CLOSE OPEN  | CLOSE OPEN  |  20 MB     |   4   |  612 |   128   |
|       |             |             |            |       |      |None(613)|
|       |             |             |            |       |      |         |
|   3*  | OPEN* OPEN* | OPEN* OPEN* |  10 MB     |   4   |  306 | All(0)  |
|       |             |             |            |       |      |None(306)|
---------------------------------------------------------------------------
*Factory Setting                SW1 1 through 4 Settings


-----------------------------------------------------------------
| POSITION | STATUS | STATE                                     |
-----------------------------------------------------------------
| SW1-8    | OPEN   | Reserved for BIOS ROM                     |
| SW1-7    | OPEN   | Reserved for BIOS ROM                     |
| SW1-6    | OPEN   | Reserved for BIOS ROM Virtual option      |
| SW1-5    | OPEN   | Reserved for BIOS ROM Auto-Config option  |
-----------------------------------------------------------------
                        SW1 5 through 8 Settings

---------------------------------------------------------
| Jumper |   Pin   | Status                             |
---------------------------------------------------------
|  W1    |   2-1   | NORMAL*                            |
|        |   2-3   | Factory test only                  |
|  W2    |   2-1   | NORMAL*                            |
|        |   2-3   | Factory test only                  |
|  W3    | CLOSED  | BIOS ROM enabled*                  |
|        |  OPEN   | BIOS ROM disabled                  |
|  W4    |   2-3   | Device address 320H*               |
|        |   2-1   | Device address 324H                |
|  W5    |   2-1   | BIOS ROM size 32K or 64K*          |
|        |   2-3   | BIOS ROM size 16K                  |
|  W6    |   2-3   | REDUCED WRITE CURRENT (8 heads)*   |
|        |   2-1   | HEAD SEL 3 (16 heads)              |
|  W7    |   2-1   | INTRQ to INTRQ5 on host connector**|
|        |   2-3   | INTRQ to INTRQ2 on host connector  |
---------------------------------------------------------
CLOSED = Jumper is installed
OPEN = Jumper is not installed
* - As shipped - Jumper is installed
** - As shipped - Instead of jumper, pins 1 and 2 are joined via an etch
        on the PCB.  To change, the etch must be carefully cut and a
        jumper installed.
